: Look up the caller's IP

API: country.is:country.is
Endpoint: /
Response format: text/plain
Auth: unknown
Method: GET
Last Status: 200
Latency: 150ms

Description

Resolves the country of the caller's IP address. When behind Cloudflare, the CF-IPCountry header is preferred.

Parameters (1)

fields (string, query, optional)

Comma-separated list of extra fields to include in the response. Options: city, continent, subdivision, postal, location, asn

Constraints: {'enum': ['city', 'continent', 'subdivision', 'postal', 'location', 'asn']}

Examples (1)

Look up the caller's IP probe-gate
curl 'https://api.country.is/'
import requests

resp = requests.get("https://api.country.is/")
data = resp.json()
import zingu_apis

api = zingu_apis.api("country.is")
result = api.fetch("")

for item in result:
    print(item)
const resp = await fetch("https://api.country.is/");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 00:47:48.775358 200 150ms
2026-04-15 04:04:03.918722 200 174ms
2026-04-14 00:30:15.570708 200 155ms
2026-04-12 14:02:06.270573 200 138ms
2026-04-10 01:10:08.813181 200 118ms
2026-04-09 03:40:16.260036 200 145ms
2026-04-03T05:30:58.739614 200 108ms